<template>
    <div class="myplan">
        <div class="title-box flex justify-between mb40">
            <p class="title">오늘 공부할 내용을 확인해봅시다.</p>
            <!-- <select name="" id="">
                <option value="">A반</option>
            </select> -->
        </div>
        <div class="wrap" style="border-radius: 0; min-height: 197px;">
           <p class="title1"> 오늘 학습할 내용이 없습니다.</p>
        </div>
        <div class="yellow-box mt30">
            <div class="title-box flex justify-between align-center">
                <div >
                    <p class="title">오늘 공부를 계획해봅시다.</p>
                    <p class="title1 mt20"> 스스로 학습 일정을 바꿔볼까요?</p>
                </div>
                <button type="button" title="바로가기" class="yellow-btn" @click="goToPage('MyPlan2')">
                    바로가기
                </button>
            </div>
        </div>
    </div>

    
</template>

<script>
import SvgIcon from '@jamescoyle/vue-icon';
import { mdiMagnify, mdiWindowClose } from '@mdi/js';


export default {
    data() {
        return {
            mdiMagnify: mdiMagnify,
            mdiWindowClose: mdiWindowClose,
            showModal: false,
            searchOpen: false,
        }
    },
    methods: {
        goToPage(page) {
            this.$router.push({ name: page });
        },
        showConfirm(type) {
            let message = '';
            if (type === 'cancel') {
                message = '삭제하시겠습니까?';
            } else if (type === 'reset') {
                message = '초기화하시겠습니까?';
            } else if (type === 'save') {
                message = '등록하시겠습니까?';
            }

            if (confirm(message)) {
                this.goBack();
            }
        },
        closeModal() {
            this.showModal = false;
        },
        buttonSearch() {
            this.searchOpen = true;
        },
        closeBtn() {
            this.searchOpen = false;

        },

    },
    watch: {

    },
    computed: {

    },
    components: {
        SvgIcon
    },
    mounted() {
        console.log('Main2 mounted');
    }
}
</script>